Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jms
Interface JMSContainerInvokerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  JMSContainerInvoker

public interface JMSContainerInvokerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `getDeliveryActive()`
`long` | `getKeepAliveMillis()`
`int` | `getMaxMessages()`
`int` | `getMaxPoolSize()`
`MessageDrivenMetaData` | `getMetaData()`
`int` | `getMinPoolSize()`
`void` | `setKeepAliveMillis(long keepAlive)`
`void` | `setMaxMessages(int maxMessages)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMinPoolSize(int minPoolSize)`
`void` | `startDelivery()`
`void` | `stopDelivery()`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getMinPoolSize

    public int getMinPoolSize()

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)

### getMaxPoolSize

    public int getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

### getKeepAliveMillis

    public long getKeepAliveMillis()

### setKeepAliveMillis

    public void setKeepAliveMillis(long keepAlive)

### getMaxMessages

    public int getMaxMessages()

### setMaxMessages

    public void setMaxMessages(int maxMessages)

### getMetaData

    public MessageDrivenMetaData getMetaData()

### getDeliveryActive

    public boolean getDeliveryActive()

### startDelivery

    public void startDelivery()
                       throws Exception

  Throws:
    `Exception`

### stopDelivery

    public void stopDelivery()
                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.